import pyautogui
import pyperclip
import time


# udaje, ktore chceme vlozit do tabulky v aplikacii LibreOffice Calc
udaje = [
    {'meno':'Jozef', 'priezvisko':'Horný', 'vek':40, 'bydlisko':'Jarná 25-8'},
    {'meno':'Peter', 'priezvisko':'Dolný', 'vek':35, 'bydlisko':'Letná 1054'},
    {'meno':'Katka', 'priezvisko':'Stredná', 'vek':41, 'bydlisko':'Zimná 63'},
    {'meno':'Slávka', 'priezvisko':'Vysoká', 'vek':37, 'bydlisko':'Nízka 885/4'}]


# otvorenie aplikacie LibreOffice Calc
pyautogui.hotkey('win', 'r')  # otvori Run dialog
pyautogui.typewrite('libreoffice calc')  # vlozi text 'libreoffice calc'
pyautogui.press('enter')      # stlaci Enter

# cakanie na spustenie aplikacie LibreOffice Calc
time.sleep(20)

# kliknutie do okna aplikacie
pyautogui.click(100, 200)

# pre spravne vkladanie slovenskych znakov
def writeSVKtext(svkText):
    a = 0
    b = 0
    for znak in svkText:
        b += 1
        if znak in 'áčďéíľňóŕšťúýžÁČĎÉÍĽŇÓŔŠŤÚÝŽ':
            pyautogui.typewrite(svkText[a:b], interval=0.05)
            a = b
            pyperclip.copy(znak)
            pyautogui.hotkey('ctrl', 'v')
    time.sleep(1)
    if a != b:
        pyautogui.typewrite(svkText[a:b], interval=0.05)

# vlozenie udajov do tabulky
for udaj in udaje:
    writeSVKtext(udaj['meno'])
    time.sleep(0.5)
    pyautogui.press('tab')  # dalsia bunka
    
    writeSVKtext(udaj['priezvisko'])
    time.sleep(0.5)
    pyautogui.press('tab')  # dalsia bunka
    
    pyautogui.typewrite(str(udaj['vek']), interval=0.05)
    time.sleep(0.5)
    pyautogui.press('tab')  # dalsia bunka
    
    writeSVKtext(udaj['bydlisko'])
    time.sleep(0.5)
    pyautogui.press('enter')  # novy riadok

pyautogui.alert('Hotovo')
